Name: mysqlUserFolder
Version: 0.9.2
Release: alt6

Summary: Z MySQL User folder for Zope
Summary(ru_RU.KOI8-R): Z MySQL User folder for Zope
Source0: %name-%version.tar.gz
Source1: setup.py
Source2: setup.cfg
Patch0: %name-iig-compatible.patch

License: BSD Type
Group: System/Servers/ZProducts
BuildArchitectures: noarch
Packager: "Andrey Orlov <cray@altlinux.ru>"
Requires: Zope-Modules
Url: http://www.egroups.com/group/mysqlUserFolder
BuildRequires: Zope-core python-devel = 2.3

%description
The product allows to store Zope users list in MySQL database.  It supports
logging, authentification by means of HTTP and cookies, and anonymous users
registration.

This version is modified to be able to work in Russian environment: fixed
broken auth script (didn't work with Lynx, MSIE5.x, Opera) and new features
were added.

%description -l ru_RU.KOI8-R
       Zope 
  MySQL.   ,  
HTTP  Cookie,     .
         
 :    ,
        (lynx, MSIE5.x,
Opera),    .

%prep
%setup -c %name-%version
%patch0 

%build
cp %SOURCE0 %SOURCE1 .
mv mysqlUserFolder/{sql,docs} .
CFLAGS="$RPM_OPT_FLAGS" %__python  setup.py   build

%install
%__python setup.py  install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES \
	--install-lib=/usr/lib/zope/lib/python/Products/ --install-data=/usr/lib/zope/lib/python/Products/

%files -f INSTALLED_FILES
%doc docs/* sql

%changelog
* Thu May 20 2004 Andrey Orlov <cray@altlinux.ru> 0.9.2-alt6
- New version

* Fri Dec 05 2003 Andrey Orlov <cray@altlinux.ru> 0.9.1-alt5
- Rebuild with python23

* Sun Sep 14 2003 Andrey Orlov <cray@altlinux.ru> 0.9.1-alt4
- Fix build requirements

* Wed Aug 27 2003 Andrey Orlov <cray@altlinux.ru> 0.9.1-alt3
- Add fix: Return None on some database error instead raise exception

* Fri Aug 22 2003 Andrey Orlov <cray@altlinux.ru> 0.9.1-alt2
- Add lost files in dtml/ catalog

* Sun Jun 29 2003 Andrey Orlov <cray@altlinux.ru> 0.9.1-alt1
- Import new version from vladup and apply my patches;

* Sat Jun 28 2003 Andrey Orlov <cray@altlinux.ru> 0.6.4-alt5
- Add another some fixes for work with Zope261

* Wed Jun 25 2003 Andrey Orlov <cray@altlinux.ru> 0.6.4-alt4
- Add some fixes for work with Zope261

* Sat Dec 14 2002 Andrey Orlov <cray@altlinux.ru> 0.6.4-alt3
- Declaration of requirements  are enchanced

* Wed Oct 23 2002 Andrey Orlov <cray@altlinux.ru>  0.6.4-alt2
- Recompiled

* Wed Jun  4 2002 Andrey Orlov <cray@altlinux.ru>  0.6.4-alt1
- Function get_path_from_request () now users REQUEST ['URL'] to
  construct request url. (thanks to Stephen Snyder).
- If tokens have invalid value, they are deleted from the cache.
  Previously, it was done only for expired tokens.
- Debug logging improvements.
- mysqlUserFolder is now forcing basic authentication on certain ports even
  if cookies are used (so FTP can be used).
- authorize () calls BasicUserFolder.authorize () now.
- URL Query string is also passed in login_goto if exception is raised
  during processing. This means that user will go to the target page
  including parameters after login.
- Management screen supports changing roles (thanks to Remi Houdaille).
- Multiple roles support when creating users (thanks to Remi Houdaille).
- Other small improvements in management screens.
- db.py: Tables are unlocked when exception is raised.
- Size of the username and email fields is increased to 60 in sql
  creation script. Management dtml methods support now getting field
  sizes from cfg.py
- New parameter mysql unix socket added.
- CACHE_USER_LIFE decreased to 60 in cfg.py

* Wed Feb 20 2002 Uzorin Pavel <pitch@altlinux.ru> 0.6.2-alt2
- Initial CHANGELOG
