#!/usr/bin/env python

import os, sys
import glob
from glob import glob
from distutils.core import setup
from distutils.extension import Extension
from distutils.command.bdist_rpm import bdist_rpm

long_description = \
"""The product allows to store Zope users list in MySQL database.  It supports
logging, authentification by means of HTTP and cookies, and anonymous users
registration.

This version is modified to be able to work in Russian environment: fixed 
broken auth script (didn't work with Lynx, MSIE5.x, Opera) and new features
were added.
"""

setup (# Distribution meta-data
        name = "mysqlUserFolder",
        version = "0.9.2",
        description = "Z MySQL User folder for Zope",
	    long_description=long_description,
        author = "vladap",
        author_email = "vladap@criticalpublics.com",
	    license = "BSD Type",
        url = "http://www.egroups.com/group/mysqlUserFolder",

        # Description of the modules and packages in the distribution

        packages = ["mysqlUserFolder", ],

        data_files=[('mysqlUserFolder', glob('mysqlUserFolder/*.txt') + glob('mysqlUserFolder/*.dtml')),
                    ('mysqlUserFolder/dtml', glob('mysqlUserFolder/dtml/*.dtml')),
                    ('mysqlUserFolder/dtml.user', glob('mysqlUserFolder/dtml.user/*.dtml')),
		    ('mysqlUserFolder/icons', glob('mysqlUserFolder/icons/*.gif')),],
)
